import request from '@/utils/request'

// 查询考场视频列表
export function listVideo(query) {
  return request({
    url: '/vip/video/list',
    method: 'get',
    params: query
  })
}

// 查询考场视频详细
export function getVideo(id) {
  return request({
    url: '/vip/video/' + id,
    method: 'get'
  })
}

// 新增考场视频
export function addVideo(data) {
  return request({
    url: '/vip/video',
    method: 'post',
    data: data
  })
}

// 修改考场视频
export function updateVideo(data) {
  return request({
    url: '/vip/video',
    method: 'put',
    data: data
  })
}

// 删除考场视频
export function delVideo(id) {
  return request({
    url: '/vip/video/' + id,
    method: 'delete'
  })
}

// 导出考场视频
export function exportVideo(query) {
  return request({
    url: '/vip/video/export',
    method: 'get',
    params: query
  })
}